Billers
Getting billers and their respective items.
Get Billers
GET /v1/api/bills/billers
This endpoint is used to retrieve the list of available billers.
Parameters
| Field | Mandatory | Parameter Type | Data Type | Description |
|---|---|---|---|---|
| api-key | Yes | Header | String | The client’s API key |
| secret | Yes | Header | String | The client's secret key for the environment to which the request is being made |
Sample Request
curl --location '{BASE_URL}/v1/api/bills/billers' \--header 'secret: {SECRET_KEY}' \--header 'api-key: {API_KEY}'
Sample Response (200 - OK)
{
"status": "SUCCESS",
"message": "Success fetching billers",
"statusCode": "00",
"data": [
{
"id": "bfa80143-8cf3-4316-ae9d-5ddbc12682f1",
"name": "Abuja DISCO",
"description": "Abuja Electric Distribution Company",
"imageUrl": "https://storage.googleapis.com/afl_public_bucket/afl-images/vendors_abujaDisco.png",
"doLookup": true,
"billCategory": {
"id": "4df26521-26c5-4e96-b70f-fe57907e2146",
"name": "Electricity",
"description": "Pay for your Electricity/Bills"
}
},
{
"id": "301d8527-b79a-4d87-9831-4a8e0bc62d8e",
"name": "IBADAN DISCO",
"description": "IBADAN Electric Distribution Company",
"imageUrl": "https://storage.googleapis.com/afl_public_bucket/afl-images/vendor_ibadanDisco.png",
"doLookup": true,
"billCategory": {
"id": "4df26521-26c5-4e96-b70f-fe57907e2146",
"name": "Electricity",
"description": "Pay for your Electricity/Bills"
}
},
{
"id": "444aaddf-ef4e-4cae-a8bb-2ac166fefd42",
"name": "BENIN DISCO",
"description": "BENIN Electric Distribution Company",
"imageUrl": "https://storage.googleapis.com/afl_public_bucket/afl-images/default.svg",
"doLookup": true,
"billCategory": {
"id": "4df26521-26c5-4e96-b70f-fe57907e2146",
"name": "Electricity",
"description": "Pay for your Electricity/Bills"
}
},
{
"id": "1531c741-3203-4628-b39d-a57e47914dc6",
"name": "SMILE",
"description": "Smile Network",
"imageUrl": "https://storage.googleapis.com/afl_public_bucket/afl-images/vendor_smile.png",
"doLookup": true,
"billCategory": {
"id": "3d94bd25-a0c8-4cc3-87fd-7d1eabc9413e",
"name": "Internet",
"description": "Pay your bills and more"
}
},
{
"id": "73b7c513-bc27-481a-b0b7-8dc9e5438fa2",
"name": "DSTV",
"description": "DSTV",
"imageUrl": "https://storage.googleapis.com/afl_public_bucket/afl-images/vendor_dstv.png",
"doLookup": true,
"billCategory": {
"id": "9fb912a5-3d1a-486f-911e-fe0f36d6c4bd",
"name": "Television",
"description": "Dstv, Cable and more"
}
},
{
"id": "bf716a08-1bd2-497c-906a-69905a034d00",
"name": "GLO Airtime",
"description": "Glo Airtime",
"imageUrl": "https://storage.googleapis.com/afl_public_bucket/afl-images/vendor_glo.png",
"doLookup": false,
"billCategory": {
"id": "0fa85cb0-8c1c-4444-896f-c94c2af5770d",
"name": "Airtime",
"description": "Airtime purchase"
}
}
]
}
Get Biller Items
GET /v1/api/bills/{billerId}/biller-items
This endpoint is used to retrieve the list of available biller items for a biller.
Parameters
| Field | Mandatory | Parameter Type | Data Type | Description |
|---|---|---|---|---|
| api-key | Yes | Header | String | The client’s API key |
| secret | Yes | Header | String | The client's secret key for the environment to which the request is being made |
| billerId | Yes | Path | String | The id of the biller for which you want to retrieve its items |
Sample Request
curl --location '{BASE_URL}/v1/api/bills/{billerId}/biller-items' \--header 'secret: {SECRET_KEY}' \--header 'api-key: {API_KEY}'
Sample Response (200 - OK)
{
"status": "SUCCESS",
"message": "Success fetching biller items",
"statusCode": "00",
"data": {
"billerId": "f560a940-53bc-49bd-93b5-fdbfd9e1e28b",
"billerName": "Airtel Data",
"commission": 0.03,
"commissionType": "PERCENTAGE",
"cappedValue": null,
"billerItems": [
{
"id": "6616eeb5-1ae1-4e4a-86db-556df2a45dd9",
"name": "AIRTEL 500 MB WEEKLY DATA BUNDLE",
"description": "AIRTEL 500 MB WEEKLY DATA BUNDLE",
"amount": 50000,
"isFixedPrice": true,
"aggregatorIdentifier": "AIRTEL_500_MB_WEEKLY_DATA_BUNDLE"
},
{
"id": "d99afe74-afaf-48c6-aa36-e3ab2ef54d4a",
"name": "AIRTEL 13 GB MONTHLY DATA BUNDLE",
"description": "AIRTEL 13 GB MONTHLY DATA BUNDLE",
"amount": 500000,
"isFixedPrice": true,
"aggregatorIdentifier": "AIRTEL_13_GB_MONTHLY_DATA_BUNDLE"
},
{
"id": "672acfe8-1a5e-41fb-9605-65821a1ac704",
"name": "AIRTEL 18 GB MONTHLY DATA BUNDLE",
"description": "AIRTEL 18 GB MONTHLY DATA BUNDLE",
"amount": 600000,
"isFixedPrice": true,
"aggregatorIdentifier": "AIRTEL_18_GB_MONTHLY_DATA_BUNDLE"
},
{
"id": "b37f173e-bd7f-4bd8-8efd-326cb0713108",
"name": "AIRTEL 35 GB MONTHLY DATA BUNDLE",
"description": "AIRTEL 35 GB MONTHLY DATA BUNDLE",
"amount": 1000000,
"isFixedPrice": true,
"aggregatorIdentifier": "AIRTEL_35_GB_MONTHLY_DATA_BUNDLE"
},
{
"id": "eaa7756e-fb5c-4613-80ed-26062816304e",
"name": "AIRTEL 300 MB 2 DAYS DATA BUNDLE",
"description": "AIRTEL 300 MB 2 DAYS DATA BUNDLE",
"amount": 30000,
"isFixedPrice": true,
"aggregatorIdentifier": "AIRTEL_300_MB_2_DAYS_DATA_BUNDLE"
},
{
"id": "f72b1887-daee-49b2-b302-0ef39db72b91",
"name": "AIRTEL 250 MB NIGHT DATA BUNDLE",
"description": "AIRTEL 250 MB NIGHT DATA BUNDLE",
"amount": 5000,
"isFixedPrice": true,
"aggregatorIdentifier": "AIRTEL_250_MB_NIGHT_DATA_BUNDLE"
}
]
}
}